Bug 181498 - [PATCH] games/pingus: fix build with clang, install icon
Summary: [PATCH] games/pingus: fix build with clang, install icon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-24 04:50 UTC by Dmitry Marakasov
Modified: 2013-10-19 12:30 UTC (History)
1 user (show)

See Also:


Attachments
pingus-0.7.2_11.patch (3.54 KB, patch)
2013-08-24 04:50 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2013-08-24 04:50:00 UTC
- Fix build with clang with two new patches
- Install icon and use it in a .desktop file
- While here, use space in WWW: and remove library version from LIB_DEPENDS

FYI, pingus 0.7.6 is out: http://pingus.seul.org/download.html

Port maintainer (acm@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-08-24 04:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-19 12:19:43 UTC
Author: tijl
Date: Sat Oct 19 11:19:35 2013
New Revision: 330859
URL: http://svnweb.freebsd.org/changeset/ports/330859

Log:
  - Fix build with clang with two new patches
  - Install icon and use it in a .desktop file
  - While here, use space in WWW: and use new style LIB_DEPENDS
  
  PR:		ports/181498
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (8 weeks)

Added:
  head/games/pingus/files/patch-src-editor-editor__screen.hpp   (contents, props changed)
  head/games/pingus/files/patch-src-lisp-getters.hpp   (contents, props changed)
Modified:
  head/games/pingus/Makefile
  head/games/pingus/pkg-descr   (contents, props changed)
Directory Properties:
  head/games/pingus/distinfo   (props changed)
  head/games/pingus/files/patch-SConstruct   (props changed)
  head/games/pingus/files/patch-src-screenshot.cpp   (props changed)
  head/games/pingus/files/patch-src-tinygettext_iconv.cpp   (props changed)

Modified: head/games/pingus/Makefile
==============================================================================
--- head/games/pingus/Makefile	Sat Oct 19 11:07:36 2013	(r330858)
+++ head/games/pingus/Makefile	Sat Oct 19 11:19:35 2013	(r330859)
@@ -3,16 +3,16 @@
 
 PORTNAME=	pingus
 PORTVERSION=	0.7.2
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	games
 MASTER_SITES=	http://pingus.seul.org/files/
 
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Free Lemmings-like game
 
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		boost_regex:${PORTSDIR}/devel/boost-libs \
-		physfs.1:${PORTSDIR}/devel/physfs
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
+		libboost_regex.so:${PORTSDIR}/devel/boost-libs \
+		libphysfs.so:${PORTSDIR}/devel/physfs
 
 USE_BZIP2=	yes
 USES=		iconv
@@ -21,8 +21,9 @@ SCONS_ARGS=	with_linuxusbmouse=0 \
 		with_linuxevdev=0
 USE_SDL=	sdl image mixer
 
-DESKTOP_ENTRIES=	"Pingus" "${COMMENT}" "" \
-			"pingus" "" false
+DESKTOP_ENTRIES="Pingus" "${COMMENT}" \
+		"${PREFIX}/share/pixmaps/${PORTNAME}.ico" \
+		"pingus" "" "false"
 
 PLIST=		${WRKDIR}/pkg-plist
 
@@ -34,6 +35,7 @@ post-patch:
 pre-install:
 	@${RM} -f ${PLIST}
 	@${ECHO_CMD} "bin/${PORTNAME}" >> ${PLIST}
+	@${ECHO_CMD} "share/pixmaps/${PORTNAME}.ico" >> ${PLIST}
 	@cd ${WRKSRC}/data && \
 		${FIND} * -type f | ${SORT} | ${SED} -e 's|^|%%DATADIR%%/|' >> ${PLIST} && \
 			${FIND} * -type d | ${SORT} -r | ${SED} -e 's|^|@dirrm %%DATADIR%%/|' >> ${PLIST}
@@ -45,5 +47,6 @@ do-install:
 		${FIND} * -type d -exec ${MKDIR} "${DATADIR}/{}" \; && \
 			${FIND} * -type f -exec ${INSTALL_DATA} "{}" "${DATADIR}/{}" \;
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
+	${INSTALL_DATA} ${WRKSRC}/src/win32/icon1.ico ${PREFIX}/share/pixmaps/${PORTNAME}.ico
 
 .include <bsd.port.mk>

Added: head/games/pingus/files/patch-src-editor-editor__screen.hpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/pingus/files/patch-src-editor-editor__screen.hpp	Sat Oct 19 11:19:35 2013	(r330859)
@@ -0,0 +1,11 @@
+--- src/editor/editor_screen.hpp.orig	2007-09-30 20:07:08.000000000 +0400
++++ src/editor/editor_screen.hpp	2013-08-23 23:08:40.689231327 +0400
+@@ -27,7 +27,7 @@
+ 
+ class DrawingContext;
+ class FileDialog;
+-class GUI::GUIManager;
++namespace GUI { class GUIManager; }
+ class Pathname;
+ 
+ namespace Editor {

Added: head/games/pingus/files/patch-src-lisp-getters.hpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/pingus/files/patch-src-lisp-getters.hpp	Sat Oct 19 11:19:35 2013	(r330859)
@@ -0,0 +1,11 @@
+--- src/lisp/getters.hpp.orig	2007-08-17 20:20:09.000000000 +0400
++++ src/lisp/getters.hpp	2013-08-09 13:42:19.551761882 +0400
+@@ -30,7 +30,7 @@
+   if(lisp->get_list_size() != 2)
+     return false;
+   
+-  const Lisp* el = lisp->get_list_elem(1);
++  const Lisp* el = lisp->get_list_elem(1).get();
+   return get(el, val);
+ }
+ 

Modified: head/games/pingus/pkg-descr
==============================================================================
--- head/games/pingus/pkg-descr	Sat Oct 19 11:07:36 2013	(r330858)
+++ head/games/pingus/pkg-descr	Sat Oct 19 11:19:35 2013	(r330859)
@@ -2,4 +2,4 @@ Pingus is a free Lemmings-like game cove
 currently 22 playable levels and runs under a wide variety of operating systems 
 (FreeBSD, Linux, Windows, etc.)
 
-WWW:	http://pingus.seul.org/
+WWW: http://pingus.seul.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Tijl Coosemans freebsd_committer 2013-10-19 12:19:58 UTC
State Changed
From-To: open->closed

Committed in r330859.